- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InitialBasisStatus Class Reference

the InitialBasisStatus class. More...

`#include <OSOption.h>`

Collaboration diagram for InitialBasisStatus:

[legend]
List of all members.

## Public Member Functions
| InitialBasisStatus ()
| Default constructor.
| ~InitialBasisStatus ()
| Class destructor.
bool | IsEqual (InitialBasisStatus *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setVar (int numberOfVar, InitBasStatus **var)
| A function to set an array of elements.
bool | addVar (int idx, std::string value)
| A function to add a element.
## Public Attributes
int | numberOfVar
| number of children
InitBasStatus ** | var
| initial value for each variable

## Detailed Description

the InitialBasisStatus class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema. As of OS version 2.3 this class has been superseded by the class BasisStatus (see OSGeneral.h)

Definition at line 1341 of file OSOption.h.

## Constructor & Destructor Documentation

InitialBasisStatus::InitialBasisStatus | ( |  | ) |

Default constructor.

Definition at line 534 of file OSOption.cpp.

References var.

InitialBasisStatus::~InitialBasisStatus | ( |  | ) |

Class destructor.

Definition at line 543 of file OSOption.cpp.

References numberOfVar, and var.

## Member Function Documentation

bool InitialBasisStatus::IsEqual | ( | InitialBasisStatus * | that | ) |

A function to check for the equality of two objects.

Definition at line 9120 of file OSOption.cpp.

References numberOfVar, and var.

bool InitialBasisStatus::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

bool InitialBasisStatus::setVar | ( | int | numberOfVar,
|  | InitBasStatus ** | var |
| ) |  |  |

A function to set an array of elements.

Parameters:

  | numberOfVar,: | number of elements to be set
  | var,: | the array of elements to be that are to be set

Definition at line 4692 of file OSOption.cpp.

References ErrorClass::errormsg, and var.

bool InitialBasisStatus::addVar | ( | int | idx,
|  | std::string | value |
| ) |  |  |

A function to add a element.

Parameters:

  | idx,: | the index of the variable to be given an initial basis status
  | value,: | the initial basis status to be added

Definition at line 4725 of file OSOption.cpp.

References ErrorClass::errormsg, InitBasStatus::idx, numberOfVar, InitBasStatus::value, and var.

## Member Data Documentation

int InitialBasisStatus::numberOfVar

number of children

Definition at line 1345 of file OSOption.h.

Referenced by addVar(), IsEqual(), and ~InitialBasisStatus().

InitBasStatus** InitialBasisStatus::var

initial value for each variable

Definition at line 1348 of file OSOption.h.

Referenced by addVar(), InitialBasisStatus(), IsEqual(), setVar(), and ~InitialBasisStatus().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp